%define name emelfm2
%define version 0.1.1
%define release %mkrel 1
#this is to allow easy relocation eg to /usr/local
%define prefix /usr
%define _bindir %{prefix}/bin
%define _libdir %{prefix}/lib

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Gtk+2 file manager with two-panel format
Group: File tools
License: GPL
URL: http://www.emelfm2.org
#Provides: e2p_clone.so e2p_cpbar.so e2p_du.so e2p_find.so e2p_for_each.so e2p_glob.so e2p_mvbar.so e2p_names_clip.so e2p_pack.so e2p_rename_ext.so e2p_sort_by_ext.so e2p_unpack.so e2p_upgrade.so e2p_view.so
Requires: gtk+2.0 >= 2.4 file findutils >= 4.2 grep sed
Requires: libgamin-1_0 >= 0.1
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+2-devel
BuildRequires: gcc >= 3.2
BuildRequires: gamin-devel >= 0.1

%description
emelFM2 is a file manager with the efficient two-panel format,
featuring:
  o Simple interface
  o Bookmarks and history lists 
  o Flexible filetyping scheme
  o Multiple actions selectable for each filetype 
  o Filename, size, and date Filters
  o Built-in command line
  o Configurable keyboard bindings
  o Configurable toolbars
  o Runtime loadable plugins

It is the Gtk+2 port of emelFM. 

Note: EmelFM2 and EmelFM are parallel installable

%prep
%setup -q

%build

%make PREFIX=%{prefix} DOCS_VERSION=1 USE_GAMIN=1 CFLAGS="-O2 -march=i586"

%install
rm -rfd %{buildroot}
%make install PREFIX=%{buildroot}%{prefix}
%make install_i18n PREFIX=%{buildroot}%{prefix}

%find_lang %{name}

#cp -pr --remove-destination docs/* %{buildroot}
rm -rfd %{buildroot}%{prefix}/share/doc

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}  
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 icons/emelfm2_48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 icons/emelfm2_32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 icons/emelfm2_24.png %{buildroot}%{_miconsdir}/%{name}.png

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{name}"\
title="Emelfm2"\
longtitle="Gtk+2 file manager"\
needs="x11"\
icon="%{name}.png"\
section="System/File Tools"
EOF

%post
%{update_menus}   

%postun
%{clean_menus}

%clean
rm -rfd %{buildroot}
rm -rfd %{_builddir}/%{name}-%{version}

%files -f %name.lang
%defattr (-,root,root)
%{_bindir}/*
%{prefix}/share/pixmaps/*
%{prefix}/share/applications/*
%{prefix}/share/application-registry/*
%dir %_libdir/%{name}
%dir %_libdir/%{name}/plugins
%{_libdir}/%{name}/plugins/e2p*.so
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%defattr(644,root,root,755)
%doc docs/CHANGELOG docs/CONFIGURATION docs/CREDITS docs/GPL docs/README docs/TODO docs/USAGE

%changelog
* Fri Aug 12 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Tue Jul 19 2005 Lenny Cartier <lenny@mandriva.com> 0.1.0-1mdk
- from <tpgww@onepost.net> : 
	- 0.1
	- locale files installed
	- added and removed some docs
	- extra requires
	- requires gtk 2.4 or better
	- url

* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-2mdk
- rebuild for new menu

* Sat May 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-1mdk
- 0.0.8
- drop patch
- new files
- spec fixes

* Thu Apr 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.7-1mdk
- 0.0.7

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.5-2mdk 
- Fix menu entry

* Sat Jan 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.5-1mdk
- 0.0.5

* Sun Jan 11 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.4-1mdk
- first mdk pkg
